package com.rv.home.rv.module.ui.main.travel;

import android.os.Bundle;

import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.base.BaseFragment;
import com.rv.home.R;
import com.rv.home.R2;
import com.rv.home.rv.module.basic.presenter.CommonPresenter;

/**
 * Created :Auser
 * Date: 2019/5/15.
 * Desc:旅行首页
 */

public class TravelFragment extends BaseFragment<CommonPresenter> {

    public static TravelFragment getInstance(int type) {
        Bundle bundl = new Bundle();
        bundl.putInt("type", type);
        TravelFragment fragment = new TravelFragment();
        fragment.setArguments(bundl);
        return fragment;
    }
    @Override
    public int getViewLayout() {
        return R.layout.rv_fragment_travel;
    }

    @Override
    protected void initView(Bundle savedInstanceState) {
        if (getArguments() != null) {
            int type = getArguments().getInt("type");

        }
    }

    @Override
    protected void loadData(Bundle savedInstanceState) {

    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }

}

